## org.hibernate.ejb.criteria
Class IllegalDereferenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.ejb.criteria.IllegalDereferenceException

All Implemented Interfaces:
  Serializable

    public class IllegalDereferenceException

extends RuntimeException

Represents an illegal attempt to dereference from a `path source` which cannot be dereferenced.

See Also:
  Serialized Form

Constructor Summary
`IllegalDereferenceException(PathSource pathSource)`

Method Summary
`PathSource` `getPathSource()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalDereferenceException

    public IllegalDereferenceException(PathSource pathSource)

Method Detail

### getPathSource

    public PathSource getPathSource()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.